Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo Class Reference

## Public Attributes
int | elapsedTime
int | start2JoinChannel
int | join2JoinSuccess
int | joinSuccess2RemoteJoined
int | remoteJoined2SetView
int | remoteJoined2UnmuteVideo
int | remoteJoined2PacketReceived

## Detailed Description

The video rendering tracing result

## Member Data Documentation

## ◆ elapsedTime

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.elapsedTime

Elapsed time from the start tracing time to the time when the tracing event occurred.

## ◆ start2JoinChannel

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.start2JoinChannel

Elapsed time from the start tracing time to the time when join channel.

Note If the start tracing time is behind the time when join channel, this value will be negative.

## ◆ join2JoinSuccess

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.join2JoinSuccess

Elapsed time from joining channel to finishing joining channel.

## ◆ joinSuccess2RemoteJoined

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.joinSuccess2RemoteJoined

Elapsed time from finishing joining channel to remote user joined.

Note If the start tracing time is after the time finishing join channel, this value will be the elapsed time from the start tracing time to remote user joined. The minimum value is 0.

## ◆ remoteJoined2SetView

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2SetView

Elapsed time from remote user joined to set the view.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to set the view. The minimum value is 0.

## ◆ remoteJoined2UnmuteVideo

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2UnmuteVideo

Elapsed time from remote user joined to the time subscribing remote video stream.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.

## ◆ remoteJoined2PacketReceived

int io.agora.rtc2.IRtcEngineEventHandler.VideoRenderingTracingInfo.remoteJoined2PacketReceived

Elapsed time from remote user joined to the remote video packet received.

Note If the start tracing time is after the time when remote user joined, this value will be the elapsed time from the start tracing time to the time subscribing remote video stream. The minimum value is 0.